Skip to main content
POST
anova

Description

Get linear regression anova analysis between two questions.

Payload

where:
  • fromDate: start date in ISO format. (Required).
  • toDate: end date in ISO format. (Required).
  • questionId1: Question identifier for the x axis. (Required).
  • questionId2: Question identifier for the y axis. (Required).
  • filter: array of filters to filter the responses. (Optional).

Response

200 OK

where:
  • sSBetween: Sum of squares between groups.
  • sSWithin: Sum of squares within groups.
  • sSTotal: Sum of squares total.
  • dfBetween: Degrees of freedom between groups.
  • dfWithin: Degrees of freedom within groups.
  • dfTotal: Degrees of freedom total.
  • mSBetween: Mean square between groups.
  • mSWithin: Mean square within groups.
  • f: F-test value.
  • pValue: F-test p value
  • groups:
  • q1-option-nthIndex: index of option selected on q1
  • q2-values-for-q1: array of values selected on q2 that corresponds to the option selected on q1.
  • tukeyhsd: Tukey “honestly significant difference” or “honest significant difference”.
  • sSgroups: Means squares groups.
  • meansTable: Anova means values for groups
    • “n”: Group size
    • “mean”: mean square
    • “stdDev”: Standard deviation
    • “stdError”: Standard deviation error
    • “min”: Min value found in group
    • “max”: Max value found in group

401 Unauthorized

If user don’t have permission to use this endpoint.

500 Internal Server Error

If there is a problem with the service.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Auth token

Query Parameters

projectId
string

Body

application/json

The body is of type object.

Response

anova

The response is of type object.